start streaming endpoint.md
Start Streaming Endpoint
Media API · Streaming Endpoints
POST https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/start
Start a Streaming Endpoint.
This operation transitions your Streaming Endpoint into a running state.
RBAC Capability Required: ams.streamingendpoint.start
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
endpoint_name |
string | Yes | — |
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/start" \
-H "Authorization: Bearer <token>"
Responses
200 — OK. The request has succeeded.
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: media-api · operationId: [post]_/api/v1/projects/{project_name}/media/streamingEndpoints/{endpoint_name}/start